Virtual Routers - Delete
Deletes the specified Virtual Router.
DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualRouters/{virtualRouterName}?api-version=2025-05-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string |
The name of the resource group. |
|
subscription
|
path | True |
string |
The subscription credentials which uniquely identify the Microsoft Azure subscription. The subscription ID forms part of the URI for every service call. |
|
virtual
|
path | True |
string |
The name of the Virtual Router. |
|
api-version
|
query | True |
string |
Client API version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Delete successful. |
|
| 202 Accepted |
Accepted and the operation will complete asynchronously. |
|
| 204 No Content |
Request successful. Resource with the specified name does not exist. |
|
| Other Status Codes |
Error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Delete VirtualRouter
Sample request
DELETE https://management.azure.com/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/virtualRouters/virtualRouter?api-version=2025-05-01
Sample response
location: https://management.azure.com/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/virtualRouters/virtualRouter?api-version=2025-05-01
Definitions
| Name | Description |
|---|---|
| Error |
Common error representation. |
|
Error |
Common error details representation. |
Error
Common error representation.
| Name | Type | Description |
|---|---|---|
| code |
string |
Error code. |
| details |
Error details. |
|
| innerError |
string |
Inner error message. |
| message |
string |
Error message. |
| target |
string |
Error target. |
ErrorDetails
Common error details representation.
| Name | Type | Description |
|---|---|---|
| code |
string |
Error code. |
| message |
string |
Error message. |
| target |
string |
Error target. |